# VS2005ưǧ
# Set tool and version names:

CPP        = cl
LINKER     = link
RC         = rc

EXE_FILE= Xangband.exe

# Debug mode (un-comment for debugging)
# nmake -f makefile.vc6 BUILD=DEBUG

!if "$(BUILD)" == ""
BIULD=RELEASE
!endif

!if "$(BUILD)" == "DEBUG"
CDBGOPT= -D "_DEBUG" /Od /W2 /ZI
LDBGOPT= /DEBUG
!else
# release opt
#CDBGOPT= /D "NDEBUG" /G5 /GA /GF /Ox /w /INCREMENTAL:NO /opt:nowin98
CDBGOPT= /D "NDEBUG" /Od /w /INCREMENTAL:NO
LDBGOPT=
!endif


###################################################################
#
#  Change these for English version (or Japanese version)
#

# Japanese version (comment out for English version)
JP_OPT= /D "JP" /D "SJIS"
ANGBAND_RC = angband.rc
LANGUAGE_PACK=japanese.obj
RCOPT= /l 0x411

# English version (un-comment for English version)
#ANGBAND_RC = ang_eng.rc
#RCOPT= /l 0x409



###################################################################
#
# Set any compiler options

CCOPTS = /nologo /c /TC \
	/D "_WINDOWS" /D "WIN32" \
	/D "_WIN32_WINNT=0x0400" -D "WINVER=0x0400" \
	/D "USE_TRANSPARENCY" $(JP_OPT)

# Compile flags:
CPPFLAGS= $(CCOPTS) $(CDBGOPT)

# Linker flags:
LINKFLAGS= /nologo /subsystem:windows $(LDBGOPT) /out:"$(EXE_FILE)" \
	kernel32.lib user32.lib gdi32.lib comdlg32.lib winmm.lib wsock32.lib angband.res

######################## Targets ##################################

OBJ = \
	main-win.obj readdib.obj autopick.obj \
	artifact.obj birth.obj bldg.obj chuukei.obj\
	cave.obj cmd1.obj cmd2.obj cmd3.obj \
	cmd4.obj cmd5.obj cmd6.obj dungeon.obj \
	effects.obj files.obj flavor.obj generate.obj \
	grid.obj init1.obj init2.obj japanese.obj load.obj \
	streams.obj rooms.obj melee1.obj melee2.obj \
	mind.obj monster1.obj monster2.obj mspells1.obj \
	mspells2.obj mutation.obj notes.obj obj_kind.obj \
	object1.obj object2.obj racial.obj save.obj \
	scores.obj spells1.obj spells2.obj spells3.obj \
	snipe.obj store.obj tables.obj util.obj \
	variable.obj wild.obj wizard1.obj wizard2.obj \
	xtra1.obj xtra2.obj z-form.obj z-rand.obj \
	z-term.obj z-util.obj z-virt.obj element.obj \
	snatch.obj mspells3.obj magic.obj

all : $(EXE_FILE)

clean:
	-@if exist *.obj del *.obj >nul
	-@if exist *.exe del *.exe >nul
	-@if exist *.res del *.res >nul
	-@if exist *.tds del *.tds >nul
	-@if exist *.ilc del *.ilc >nul
	-@if exist *.ild del *.ild >nul
	-@if exist *.ilf del *.ilf >nul
	-@if exist *.ils del *.ils >nul

install: $(EXE_FILE)
	copy $(EXE_FILE) ..


########################### Explicit Rules ########################
$(EXE_FILE): $(OBJ) angband.res
	$(LINKER) $(OBJ) $(LINKFLAGS)

angband.res: $(ANGBAND_RC)
	$(RC) $(RCOPT) -fo"angband.res" $(ANGBAND_RC)

########################### Implicit Rules ########################
.c.obj:
	$(CPP) $(CPPFLAGS) $<